/*
  Repeating Wifi Web client
 
 This sketch connects to a a web server and makes a request
 using an Arduino Wifi shield.
 
 Circuit:
 * Wifi shield attached to pins 10, 11, 12, 13
 
 created 23 April 2012
 modifide 31 May 2012
 by Tom Igoe
 
 http://arduino.cc/en/Tutorial/WifiWebClientRepeating
 This code is in the public domain.
 */
#include <TextFinder.h>
#include <SPI.h>
#include <WiFi.h>
#include <Servo.h>
Servo myservo1;
char ssid[] = "xxx";      //  your network SSID (name) 
char pass[] = "xxx";   // your network password
int keyIndex = 0;            // your network key Index number (needed only for WEP)

int status = WL_IDLE_STATUS;

// Initialize the Wifi client library
WiFiClient client;
TextFinder finder(client);
// server address:
char server[] = "www.marcopucci.it";
//IPAddress server(64,131,82,241);

unsigned long lastConnectionTime = 0;           // last time you connected to the server, in milliseconds
boolean lastConnected = false;                  // state of the connection last time through the main loop
const unsigned long postingInterval = 1*1000;  // delay between updates, in milliseconds

void setup() {
  //Initialize serial and wait for port to open:
  Serial.begin(9600); 
  while (!Serial) {
    ; // wait for serial port to connect. Needed for Leonardo only
  }
  
  // check for the presence of the shield:
  if (WiFi.status() == WL_NO_SHIELD) {
    Serial.println("WiFi shield not present"); 
    // don't continue:
    while(true);
  } 
  
  // attempt to connect to Wifi network:
  while ( status != WL_CONNECTED) { 
    Serial.print("Attempting to connect to SSID: ");
    Serial.println(ssid);
    // Connect to WPA/WPA2 network. Change this line if using open or WEP network:    
    status = WiFi.begin(ssid, pass);

    // wait 10 seconds for connection:
    delay(7000);
  } 
  myservo1.attach(3);

  // you're connected now, so print out the status:

}

void loop() {
    while (client.available()) {
    char c = client.read();
    Serial.write(c);
  }

    if (!client.connected() && lastConnected) {
    Serial.println();
    Serial.println("disconnecting.");
    client.stop();
  }
    if(!client.connected() && (millis() - lastConnectionTime > postingInterval)) {
    httpRequest();
     Serial.println("dato presente sul sito");   
          finder.find("OK>");
          float value = finder.getFloat();
          Serial.println(value); 
    if (value==1){
   sinistra();
    }
   else if  (value==2){
   centro();
    }
   else {
   destra();
    }
  }
  lastConnected = client.connected();
}


void httpRequest() {
   client.stop();
    if (client.connect(server, 80)) {
    Serial.println("connecting...");
    client.println("GET /data.txt HTTP/1.1");
    client.println("Host: www.marcopucci.it");
    client.println("Connection: close");
    client.println();
    lastConnectionTime = millis();
  } 
  else {
    Serial.println("connection failed");
    Serial.println("disconnecting.");
    client.stop();
  }
}


void centro(){
myservo1.write(90); 
delay(15);
}


void sinistra(){
myservo1.write(0); 
delay(15);
}

void destra(){
myservo1.write(180); 
delay(15);
}



